org.springframework.messaging.core

## Interface DestinationResolver<D>

Type Parameters:
  `D` - the destination type

All Known Implementing Classes:
  BeanFactoryMessageChannelDestinationResolver, CachingDestinationResolverProxy

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface DestinationResolver<D>

Strategy for resolving a String destination name to an actual destination of type `<D>`.

Since:
  4.0
Author:
  Mark Fisher

### Method Summary

All Methods Instance Methods Abstract Methods
`D` `resolveDestination(String name)` Resolve the given destination name.

### Method Detail

#### resolveDestination

    D resolveDestination(String name)
                  throws DestinationResolutionException

Resolve the given destination name.

Parameters:
  `name` - the destination name to resolve
Returns:
  the resolved destination (never `null`)
Throws:
  `DestinationResolutionException` - if the specified destination wasn't found or wasn't resolvable for any other reason